import {Exception} from "./Exception";
import {ExceptionCode} from "./ExceptionCode";

export function validateRequiredFields(obj: any, fields: string[], className?: string) {
    fields.forEach(field => {
        if (!obj.hasOwnProperty(field))
            throw new Exception(
                ExceptionCode.MISSING_REQUIRED_FIELD,
                `Missing field ${field}` + (className ? ` from ${className}` : '')
            )
    })
}