import {Link} from "./Link";
import {validateRequiredFields} from "./Helpers";

export class LandingPage {
    title?: string;
    description?: string;
    links!: Link[];

    static fromJson(jsonObj: any): LandingPage {
        validateRequiredFields(jsonObj, ["links"], LandingPage.name);

        let landingPage = new LandingPage();
        landingPage.title = jsonObj["title"];
        landingPage.description = jsonObj["description"];
        landingPage.links = jsonObj["links"].map(Link.fromJson);
        return landingPage;
    }

    // TODO from html
}