import {RelationshipLink} from "./RelationshipLink";
import {Type} from "./Type";
import {validateRequiredFields} from "./Helpers";

export class Link {
    title?: string;
    href!: string;
    rel!: RelationshipLink;
    type?: Type;
    hreflang?: string;

    static fromJson(jsonObj: any): Link {
        validateRequiredFields(jsonObj, ["href", "rel"], Link.name);
        let link = new Link();
        link.href = jsonObj["href"];
        link.rel = jsonObj["rel"];
        if ("title" in jsonObj)
            link.title = jsonObj["title"];
        if ("type" in jsonObj)
            link.type = jsonObj["type"];
        if ("hreflang" in jsonObj)
            link.hreflang = jsonObj["hreflang"];
        return link;
    }
}